---
search:
  tags:
    - Attributes
    - GET
seo:
  description: >-
    Retrieves a specific attribute by its ID for a given… Reference for the GET
    /api/v1/{app_id}/attributes/{attribute_id} endpoint in the Customers API.
sidebar:
  label: Get a single attribute
  badge: GET
title: Get a single attribute
type: openapi-operation
---
Retrieves a specific attribute by its ID for a given application ID.

`GET /api/v1/{app_id}/attributes/{attribute_id}`

**Responses**

- `200` — The requested attribute
- `400` — Invalid request parameters
- `404` — Attribute not found
- `500` — Internal server error

Response example, 200:

```json
{
  "description": "string",
  "id": "string",
  "key": "string",
  "name": "string",
  "template_key": "string",
  "translations": {
    "description": {
      "property1": "string",
      "property2": "string"
    },
    "name": {
      "property1": "string",
      "property2": "string"
    }
  },
  "values": {
    "property1": [
      {
        "translations": {
          "value": {
            "property1": "string",
            "property2": "string"
          }
        },
        "type": "string",
        "value": "string"
      }
    ],
    "property2": [
      {
        "translations": {
          "value": {
            "property1": "string",
            "property2": "string"
          }
        },
        "type": "string",
        "value": "string"
      }
    ]
  }
}
```
